Bug 186083 - Update Port: www/drood => 3.11
Summary: Update Port: www/drood => 3.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-24 20:20 UTC by jimmy
Modified: 2014-03-02 11:50 UTC (History)
0 users

See Also:


Attachments
drood.diff (1.64 KB, patch)
2014-01-24 20:20 UTC, jimmy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2014-01-24 20:20:00 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2014-01-24 20:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 jimmy 2014-01-31 14:51:32 UTC
This is a replacement diff that converts www/drood to use staging.

=97
James Bailie
http://www.mammothcheese.ca/




diff -ruN /usr/ports/www/drood/Makefile ./drood/Makefile
--- /usr/ports/www/drood/Makefile	2013-10-24 21:33:11.000000000 =
-0400
+++ ./drood/Makefile	2014-01-31 09:42:40.000000000 -0500
@@ -1,18 +1,14 @@
 # Created by: James Bailie <jimmy@mammothcheese.ca>
-# $FreeBSD: www/drood/Makefile 331541 2013-10-25 01:33:11Z tabthorpe $
+# $FreeBSD: www/drood/Makefile 327776 2013-09-20 23:36:50Z bapt $
=20
 PORTNAME=3D	drood
-PORTVERSION=3D	3.10
+PORTVERSION=3D	3.11
 CATEGORIES=3D	www
 MASTER_SITES=3D	http://www.mammothcheese.ca/
=20
 MAINTAINER=3D	jimmy@mammothcheese.ca
 COMMENT=3D	Lightweight kqueue-based http/1.1 server
=20
-MAN8=3D		drood.8
-
-MANCOMPRESSED=3D	yes
-
-NO_STAGE=3D	yes
+INSTALL_TARGET=3DSTAGEDIR=3D../stage/ install
=20
 .include <bsd.port.mk>
diff -ruN /usr/ports/www/drood/distinfo ./drood/distinfo
--- /usr/ports/www/drood/distinfo	2013-10-25 10:55:22.000000000 =
-0400
+++ ./drood/distinfo	2014-01-31 09:21:32.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (drood-3.10.tar.gz) =3D =
53ed233e7fc1d9ea327cf873c38bb75fa5a46080e46e02f98d367e827304ede8
-SIZE (drood-3.10.tar.gz) =3D 64492
+SHA256 (drood-3.11.tar.gz) =3D =
f359bf2b1ed2de6f970f29002bbcde776ebe55d9d7a7be0c58c4771f0d0eb5ae
+SIZE (drood-3.11.tar.gz) =3D 69683
diff -ruN /usr/ports/www/drood/pkg-descr ./drood/pkg-descr
--- /usr/ports/www/drood/pkg-descr	2014-01-22 10:44:51.000000000 =
-0500
+++ ./drood/pkg-descr	2013-10-12 23:53:21.000000000 -0400
@@ -1,7 +1,7 @@
 Drood is a lightweight, partially-compliant HTTP/1.1 server, intended =
as an
 alternative to more complex web servers for websites where the server
 requirements are simple.  Drood supports name-based virtual hosting, =
CGI
-and SCGI, gzipped content-encoding for static resources, and will =
service
-both IPv4 and IPv6 connections.
+and SCGI, local WebSocket forwarding, gzipped content-encoding for =
static
+resources, and will service both IPv4 and IPv6 connections.
=20
 WWW: http://www.mammothcheese.ca/
diff -ruN /usr/ports/www/drood/pkg-plist ./drood/pkg-plist
--- /usr/ports/www/drood/pkg-plist	2013-10-08 12:12:18.000000000 =
-0400
+++ ./drood/pkg-plist	2014-01-31 09:31:52.000000000 -0500
@@ -1,5 +1,6 @@
 bin/drood
+man/man8/drood.8.gz
 etc/rc.d/drood
-@unexec if cmp -s %D/etc/drood/types.tab %D/etc/drood/types.tab.dist; =
then rm -f %D/etc/drood/types.tab; fi
+etc/drood/types.tab
 etc/drood/types.tab.dist
 @dirrm etc/drood
Comment 3 Thomas Abthorpe freebsd_committer 2014-03-02 05:48:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-03-02 11:40:15 UTC
Author: tabthorpe
Date: Sun Mar  2 05:47:53 2014
New Revision: 346738
URL: http://svnweb.freebsd.org/changeset/ports/346738
QAT: https://qat.redports.org/buildarchive/r346738/

Log:
  - Update to 3.11
  - Convert to STAGEDIR
  
  PR:		ports/186083
  Submitted by:	James Bailie <jimmy@mammothcheese.ca> (maintainer)

Modified:
  head/www/drood/Makefile
  head/www/drood/distinfo
  head/www/drood/pkg-descr
  head/www/drood/pkg-plist

Modified: head/www/drood/Makefile
==============================================================================
--- head/www/drood/Makefile	Sun Mar  2 05:39:36 2014	(r346737)
+++ head/www/drood/Makefile	Sun Mar  2 05:47:53 2014	(r346738)
@@ -2,17 +2,15 @@
 # $FreeBSD$
 
 PORTNAME=	drood
-PORTVERSION=	3.10
+PORTVERSION=	3.11
 CATEGORIES=	www
 MASTER_SITES=	http://www.mammothcheese.ca/
 
 MAINTAINER=	jimmy@mammothcheese.ca
 COMMENT=	Lightweight kqueue-based http/1.1 server
 
-MAN8=		drood.8
-
 MANCOMPRESSED=	yes
 
-NO_STAGE=	yes
+INSTALL_TARGET=STAGEDIR=../stage/ install
 
 .include <bsd.port.mk>

Modified: head/www/drood/distinfo
==============================================================================
--- head/www/drood/distinfo	Sun Mar  2 05:39:36 2014	(r346737)
+++ head/www/drood/distinfo	Sun Mar  2 05:47:53 2014	(r346738)
@@ -1,2 +1,2 @@
-SHA256 (drood-3.10.tar.gz) = 53ed233e7fc1d9ea327cf873c38bb75fa5a46080e46e02f98d367e827304ede8
-SIZE (drood-3.10.tar.gz) = 64492
+SHA256 (drood-3.11.tar.gz) = b12933cf9a336f46736b01d736deb5c9cf0193b8e5cfbc171606aefb963a30ea
+SIZE (drood-3.11.tar.gz) = 69683

Modified: head/www/drood/pkg-descr
==============================================================================
--- head/www/drood/pkg-descr	Sun Mar  2 05:39:36 2014	(r346737)
+++ head/www/drood/pkg-descr	Sun Mar  2 05:47:53 2014	(r346738)
@@ -1,7 +1,7 @@
 Drood is a lightweight, partially-compliant HTTP/1.1 server, intended as an
 alternative to more complex web servers for websites where the server
 requirements are simple.  Drood supports name-based virtual hosting, CGI
-and SCGI, gzipped content-encoding for static resources, and will service
-both IPv4 and IPv6 connections.
+and SCGI, local WebSocket forwarding, gzipped content-encoding for static
+resources, and will service both IPv4 and IPv6 connections.
 
 WWW: http://www.mammothcheese.ca/

Modified: head/www/drood/pkg-plist
==============================================================================
--- head/www/drood/pkg-plist	Sun Mar  2 05:39:36 2014	(r346737)
+++ head/www/drood/pkg-plist	Sun Mar  2 05:47:53 2014	(r346738)
@@ -1,5 +1,6 @@
 bin/drood
+man/man8/drood.8.gz
 etc/rc.d/drood
-@unexec if cmp -s %D/etc/drood/types.tab %D/etc/drood/types.tab.dist; then rm -f %D/etc/drood/types.tab; fi
+etc/drood/types.tab
 etc/drood/types.tab.dist
 @dirrm etc/drood
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"